package com.ruoyi.asset.utils;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.core.domain.model.LoginUser;
import org.springframework.security.core.context.SecurityContextHolder;

public class UserUtils {
    /**
     * 获取登录用户上下文
     *
     * @return 登录用户上下文信息
     */
    public static LoginUser getLoginContext() {
        return (LoginUser) SecurityContextHolder.getContext().getAuthentication().getPrincipal();
    }

    /**
     * 获取登录用户ID
     *
     * @return 用户ID
     */
    public static Long getLoginUserId() {
        return getLoginContext().getUserId();
    }

    /**
     * 获取登录用户信息
     *
     * @return 用户信息
     */
    public static SysUser getLoginUser() {
        return getLoginContext().getUser();
    }
}
